Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1488410 - [unified-registration] can not get payment method information on the accountant overview page
Summary: [unified-registration] can not get payment method information on the accounta...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Website
Version: 3.x
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Timothy Williams
QA Contact: yasun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-05 10:19 UTC by yasun
Modified: 2017-11-09 18:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-09 18:51:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description yasun 2017-09-05 10:19:45 UTC
Description of problem:
On the accountant overview page, can not get payment method information.


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Register a Pro cluster account through the online-registration.
2. Click the 'Manage Subscription', check the payment method


Actual results:
There is an error message:
There is no payment method associated with your account. Your account will be disabled during the next billing cycle unless you add a payment method.

Expected results:
The message should be:
The current credit card on file has a number ending with 1111 and expires 01/2018. The type of card is Visa.

Additional info:

Comment 2 Timothy Williams 2017-09-05 19:38:44 UTC
This is resolved, please re-test.

Comment 3 yasun 2017-09-06 02:34:40 UTC
The payment method information is appeared.


Note You need to log in before you can comment on or make changes to this bug.